Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
select_args Struct Reference

## Data Fields
VALUE | read
VALUE | write
VALUE | except
struct timeval * | timeout
rb_fdset_t | fdsets [4]
union {
int fd
int error
} | as
rb_fdset_t * | read
rb_fdset_t * | write
rb_fdset_t * | except
struct timeval * | tv

## Detailed Description

Definition at line 8178 of file io.c.

## Field Documentation

union { ... } select_args::as

Referenced by rb_wait_for_single_fd(), and select_single().

int select_args::error

Definition at line 3644 of file thread.c.

Referenced by rb_wait_for_single_fd(), and select_single().

rb_fdset_t* select_args::except

Definition at line 3648 of file thread.c.

VALUE select_args::except

Definition at line 8179 of file io.c.

Referenced by rb_f_select(), rb_wait_for_single_fd(), select_call(), select_single(), and select_single_cleanup().

int select_args::fd

Definition at line 3643 of file thread.c.

Referenced by rb_wait_for_single_fd(), and select_single().

rb_fdset_t select_args::fdsets[4]

Definition at line 8181 of file io.c.

Referenced by rb_f_select(), select_call(), and select_end().

rb_fdset_t* select_args::read

Definition at line 3646 of file thread.c.

VALUE select_args::read

Definition at line 8179 of file io.c.

Referenced by rb_f_select(), rb_wait_for_single_fd(), select_call(), select_single(), and select_single_cleanup().

struct timeval* select_args::timeout

Definition at line 8180 of file io.c.

Referenced by rb_f_select(), and select_call().

struct timeval* select_args::tv

Definition at line 3649 of file thread.c.

Referenced by rb_wait_for_single_fd(), and select_single().

rb_fdset_t* select_args::write

Definition at line 3647 of file thread.c.

VALUE select_args::write

Definition at line 8179 of file io.c.

Referenced by rb_f_select(), rb_wait_for_single_fd(), select_call(), select_single(), and select_single_cleanup().

The documentation for this struct was generated from the following files:

- io.c
- thread.c